#!/usr/bin/sh
# Please use this script to run the sample. Make sure that you properly set
# up the OSS_ASN1_JAVA, CLASSPATH and PATH environment variables before running
# this script.  You can set up JAVAC and JAVA environment variables to
# customize Java compiler/interpreter.

ACTION=${1:-"javac"}

case ${ACTION} in
    "cleanup")
	rm -f hugeint.log
	rm -f *.class
	;;
	
    "javac")
	CLASSPATH=`pwd`:$CLASSPATH; export CLASSPATH
	JAVAC=${JAVAC:-javac}
	JAVA=${JAVA:-java}
	echo "ASN.1-compiling the syntax..."
        echo ""
	asn1pjav hugeint -der -err hugeint.log
	if [ $? -eq 0 ]; then 
            cd hugeint
	    echo "Java-compiling generated classes..."
            echo ""
	    sh hugeint.sh 2>&1 >> ../hugeint.log
	    cd ..
	    ${JAVAC} Runme.java 2>&1 >> hugeint.log
	    if [ -f Runme.class ]; then
		echo "Running the test..."
                echo ""
		${JAVA} Runme;
	    fi
	fi
	rm -fr hugeint
	;;
    *)
	echo "Invalid argument \"$1\"."
        echo ""
	;;
    
esac
